Skip to main content
Version: Next

Get Card Transactions

POST /openapi/v1/transaction/card

Retrieve the list of payment transactions made by card swipe (VISA, NAPAS, etc.) within a specified time range.

Payload before encryption:

{
"from_date": "2026-01-07 00:00:00",
"to_date": "2026-01-07 23:59:59",
"limit": 10,
"page": 1
}
FieldTypeRequiredDescription
from_datestringStart time (YYYY-MM-DD HH:MM:SS)
to_datestringEnd time (YYYY-MM-DD HH:MM:SS)
limitnumberNumber of records per page
pagenumberPage number (starting from 1)
curl --location '<base_url>/openapi/v1/transaction/card' \
--header 'Partner-Code: YOUR_PARTNER_CODE' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsI…' \
--data '{
"data": ENCRYPTED_PAYLOAD
}'

Request

Headers

NameRequiredDescription
Partner-CodeMerchant identifier code (provided by TCONNECT)
Content-Typeapplication/json
AuthorizationBearer <access_token>

Body

FieldTypeRequiredDescription
datastringAES-256-CBC encrypted payload as Hexadecimal

Response

200 — Card transaction list

FieldTypeDescription
dataarrayList of transactions
data[].order_idstringOrder ID
data[].card_nostringCard number (masked, e.g. 1234****5678)
data[].request_amountstringTransaction amount (VND)
data[].card_typestringCard type (e.g. VISA, NAPAS)
data[].payment_typestringTransaction type
data[].retrieval_ref_nostringTransaction reference code
data[].original_transaction_datestringTransaction date and time
pagination.pageintegerCurrent page
pagination.limitintegerRecords per page
pagination.total_itemsintegerTotal number of records
pagination.total_pagesintegerTotal number of pages